
# This is the user-interface definition of a Shiny web application.
# You can find out more about building applications with Shiny here:
#
# http://shiny.rstudio.com
#
library(shiny)
library(shinythemes)
shinyUI(fluidPage(theme=shinytheme("cerulean"),

  # Application title
  titlePanel("shiny-demo数据分析"),

  # Sidebar with a slider input for number of bins
  sidebarLayout(
    sidebarPanel(
      sliderInput("bins",
                  "Number of bins:",
                  min = 1,
                  max = 50,
                  value = 30)
    ),

    # Show a plot of the generated distribution
    mainPanel(
      strong(h3("这是我的第一个app应用",style="color:violetred")),
      h4("如果想学习更多的shiny知识请访问我的博客：",
         span(a("请点击此处",href="http://blog.yoqi.me"))),
      br(),
      p("我们将利用鸢尾花数据集进行案例演示"),
      plotOutput("distPlot")
    )
  )
))